Page MenuHomePhabricator

No longer possible to triple-click to select an entire paragraph that contains a mid-way citation, in Firefox
Closed, ResolvedPublic

Description

If a "cite_ref-n" is within a paragraph, it is no longer possible to triple-click to select the entire paragraph,
e.g. https://en.wikipedia.org/w/index.php?title=User:Quiddity_%28WMF%29/sandbox&oldid=675182156

(possibly the change came from https://gerrit.wikimedia.org/r/#/c/226053/ ?)

Details

Related Gerrit Patches:

Event Timeline

Quiddity created this task.Aug 8 2015, 9:30 PM
Quiddity raised the priority of this task from to Needs Triage.
Quiddity updated the task description. (Show Details)
Quiddity added a project: Cite.
Quiddity added a subscriber: Quiddity.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 8 2015, 9:30 PM
matmarex added a subscriber: matmarex.

This seems Firefox-specific, and I think it's a Firefox bug.

Dispenser added a subscriber: Dispenser.EditedAug 9 2015, 12:57 AM

Tested in Firefox 3.6 (2012) which exhibits new behavior. So not a browser bug. I'd suggest using the Wayback machine to pin point it, but somebody's been serving the bot the mobile version.

No, it's clearly a change on our side (from the patch Quiddity linked), I just believe the behavior exhibited by Firefox to be wrong. All other browsers I tested (Chrome, IE 11, Opera 12) still allow the paragraph to be selected with triple- or quadruple-click.

Dispenser added a comment.EditedAug 9 2015, 1:24 AM

Opera 12 exhibits the new behavior if I quadruple-click after the second reference. As a screen reader user the selection and copy behaviors of the browser and web page are very important to me.

After this change Firefox now also sometimes breaks a line between punctuation and reference, which didn't happen before.

Restricted Application added a subscriber: Luke081515. · View Herald TranscriptAug 18 2015, 12:27 PM

Change 233483 had a related patch set uploaded (by Bartosz Dziewoński):
Revert "Use display: inline-block instead of unicode-bidi"

https://gerrit.wikimedia.org/r/233483

Change 233483 merged by jenkins-bot:
Revert "Use display: inline-block instead of unicode-bidi"

https://gerrit.wikimedia.org/r/233483

matmarex closed this task as Resolved.Aug 24 2015, 8:50 PM
matmarex claimed this task.

The fix will roll out to Wikimedia wikis over the course of this week, see https://www.mediawiki.org/wiki/MediaWiki_1.26/Roadmap for details.

Change 233845 had a related patch set uploaded (by Ori.livneh):
Revert "Use display: inline-block instead of unicode-bidi"

https://gerrit.wikimedia.org/r/233845

Change 233845 merged by jenkins-bot:
Revert "Use display: inline-block instead of unicode-bidi"

https://gerrit.wikimedia.org/r/233845